Bug 1808051 - "systemd-udevd: inotify_add_watch(11, /dev/dm-1, 10) failed: No such file or directory" when converting to dm-writecache
Summary: "systemd-udevd: inotify_add_watch(11, /dev/dm-1, 10) failed: No such file or ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: 8.0
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 17:25 UTC by Corey Marthaler
Modified: 2020-11-04 02:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:02:10 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github systemd-rhel rhel-8 pull 76 0 None closed (#1808051) udev: downgrade message when we fail to set inotify watch up 2020-08-15 12:54:26 UTC
Github systemd systemd pull 10760 0 None closed udev: downgrade message when we fail to set inotify watch up 2020-08-15 12:54:26 UTC
Red Hat Product Errata RHSA-2020:4553 0 None None None 2020-11-04 02:02:38 UTC

Description Corey Marthaler 2020-02-27 17:25:40 UTC
Description of problem:
During my lvm2 testing of dm-writecache, I've noticed the following errors during the conversion cmd. However, it doesn't appear to cause any harm, likely just a cosmetic issue?

[root@hayes-02 ~]# grep inotify_add_watch /var/log/messages | wc -l
1598

Running cmdline: lvconvert --yes --type writecache --cachevol writecache_sanity/pooll /dev/writecache_sanity/originl

Feb 23 03:32:09 hayes-02 systemd-udevd[1157845]: inotify_add_watch(11, /dev/dm-0, 10) failed: No such file or directory


Version-Release number of selected component (if applicable):
systemd-udev-239-25.el8.x86_64

How reproducible:
Often

Comment 2 Lukáš Nykrýn 2020-04-15 17:18:31 UTC
fix merged to github master branch -> https://github.com/systemd-rhel/rhel-8/pull/76

Comment 9 errata-xmlrpc 2020-11-04 02:02:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: systemd security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4553


Note You need to log in before you can comment on or make changes to this bug.